Loading ...
Sorry, an error occurred while loading the content.

7853Re: [nslu2-linux] Re: ctorrent error

Expand Messages
  • Cliff Karlsson
    Aug 4, 2005
    • 0 Attachment
      Im downloading torrents from a tracker that requires a passkey, so that
      you have to use a username and password, when I try downloading a
      torrent from that tracker ctorrent reports a bad passkey message from
      the tracker, Is there some way to get around this problem. Maybe some
      way to use my NSLU2 ip temporary to log in to the tracker from my pc.

      gertouderkerken wrote:

      > --- In nslu2-linux@yahoogroups.com, "jason_zhengx"
      > <jason_zhengx@y...> wrote:
      > > --- In nslu2-linux@yahoogroups.com, "gertouderkerken"
      > > <gertouderkerken@y...> wrote:
      > > > --- In nslu2-linux@yahoogroups.com, "kflynn1103"
      > <kflynn1103@y...>
      > > > wrote:
      > > > >
      > > > >
      > > > > Folks,
      > > > >
      > > > > I have a general problem with ctorrent - when executing
      > ctorrent I
      > > > get
      > > > > the following error message:
      > > > >
      > > > > ctorrent: error while loading shared libraries:
      > libssl.so.0.9.7:
      > > > > cannot open shared object file: No such file or directory
      > > > >
      > > > > Can anyone help me on this one?
      > > > >
      > > > >
      > > > > kflynn
      > > >
      > > >
      > > > Hello,
      > > >
      > > > I have the same problem as kflynn.
      > > >
      > > > I'm planning to use my NSLU2 for bittorrent. First installed the
      > > > ctorrent package (version 1.3.4) succesfully. After opening the
      > > > desired ports it works OK, but i'm not impressed by the
      > > > downloadspeed compared to Azureus on my PC. In this group if
      > found
      > > > some posts about Ctorrent and a tweaked(?) version for the
      > NSLU2.
      > > > Downloaded that version from the Files section. Problem is that
      > when
      > > > i run that version i also get the error mentioned above.
      > > >
      > > > I found a possible solution in this message:
      > > > http://groups.yahoo.com/group/nslu2-linux/message/3900, but my
      > > > symlinks to libssl.so.0.9.7 are correct (like in Joao's post).
      > Also
      > > > tried with a copy of libssl.so.0.9.7 in the working directory,
      > but
      > > > the error message is still there. What could cause this problem?
      > I'm
      > > > a linux newbie...
      > > >
      > > > Or is there a better bittorrent solution for the NSLU2 (libbt?)
      > > >
      > > > Gert.
      > >
      > > What directory is libssl located? Is that directory listed in
      > > /etc/ld.so.conf? If not, try putting it in ld.so.conf, and run
      > > /sbin/ldconfig, which regenerates the ld.so.cache. Also make sure
      > the
      > > version numbers are exactly the same. If not, you can try creating
      > a
      > > symlink for the file that is required by pointing it to the one
      > that
      > > you have.
      > > One alternative is the original bittorrent, which is written in
      > > python. Both are in ipkg, I believe. However, the python version
      > uses
      > > some more memory.
      >
      >
      > Thanks jason_zhengx.
      >
      > Your remark about ld.so.conf set me on the right track. First i
      > couldn't find the files ld.so.conf and ldconfig. When looking at the
      > packages for unslung i saw the package ldconfig, so i installed that
      > package. After that those files were present and ctorrent works.
      >
      > Looks like ctorrent from the ipkg list doesn´t need ldconfig, but
      > the extended ctorrent from the files section in this group does!
      >
      > Very nice to have some extra info and have the possibility to
      > control the upload speed (http://groups.yahoo.com/group/nslu2-
      > linux/message/4303)
      >
      > Gert
      >
      >
      >
      >
      > [ Moderator Note: All new information should be recorded in the Wiki
      > at http://www.nslu2-linux.org ]
      >
      >
      > ------------------------------------------------------------------------
      > YAHOO! GROUPS LINKS
      >
      > * Visit your group "nslu2-linux
      > <http://groups.yahoo.com/group/nslu2-linux>" on the web.
      >
      > * To unsubscribe from this group, send an email to:
      > nslu2-linux-unsubscribe@yahoogroups.com
      > <mailto:nslu2-linux-unsubscribe@yahoogroups.com?subject=Unsubscribe>
      >
      > * Your use of Yahoo! Groups is subject to the Yahoo! Terms of
      > Service <http://docs.yahoo.com/info/terms/>.
      >
      >
      > ------------------------------------------------------------------------
      >
    • Show all 24 messages in this topic